Package com.xebialabs.xlrelease.domain.distributed.events

## Class DistributedSendSSEEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedSendSSEEvent>
  - - com.xebialabs.xlrelease.domain.distributed.events.DistributedSendSSEEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedSendSSEEvent>`

      public class DistributedSendSSEEvent$
      extends scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedSendSSEEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DistributedSendSSEEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistributedSendSSEEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DistributedSendSSEEvent` | `apply​(java.lang.String topic, java.lang.String eventName, java.lang.String payload)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<java.lang.String,​java.lang.String,​java.lang.String>>` | `unapply​(DistributedSendSSEEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final DistributedSendSSEEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### DistributedSendSSEEvent$

          public DistributedSendSSEEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedSendSSEEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedSendSSEEvent>`

    - #### apply

          public DistributedSendSSEEvent apply​(java.lang.String topic,
                                               java.lang.String eventName,
                                               java.lang.String payload)

      Specified by:
        `apply` in interface `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedSendSSEEvent>`

    - #### unapply

          public scala.Option<scala.Tuple3<java.lang.String,​java.lang.String,​java.lang.String>> unapply​(DistributedSendSSEEvent x$0)